package com.gic.cloud.data.hook.api.entity;

import com.gic.cloud.data.hook.api.dto.QueryDataType;
import com.google.common.collect.Lists;

import java.io.Serializable;
import java.util.List;

public class FlatQueryExecuteRequest implements Serializable {

	private static final long serialVersionUID = 7365346885545557606L;

	/** 用户编号（用于下载任务）*/
	protected String userId = "";

	/** 用户编号（用于下载任务）
	 * @return
	 */
	public String getUserId() {
		return userId;
	}

	/** 用户编号（用于下载任务）
	 * @param userId
	 */
	public void setUserId(String userId) {
		this.userId = userId;
	}

	/** 数据总量（用于下载任务）*/
	protected Integer amount = 0;

	/** 数据总量（用于下载任务）
	 * @return
	 */
	public Integer getAmount() {
		return amount;
	}

	/** 数据总量（用于下载任务）
	 * @param amount
	 */
	public void setAmount(Integer amount) {
		this.amount = amount;
	}

	/** 任务名称（用于下载任务）*/
	protected String name = "";

	/** 任务名称（用于下载任务）
	 * @return
	 */
	public String getName() {
		return name;
	}

	/** 任务名称（用于下载任务）
	 * @param name
	 */
	public void setName(String name) {
		this.name = name;
	}

	/** 所属模块名称 */
	protected String moduleName = "";

	/** 所属模块名称
	 * @return
	 */
	public String getModuleName() {
		return moduleName;
	}

	/** 所属模块名称
	 * @param moduleName
	 */
	public void setModuleName(String moduleName) {
		this.moduleName = moduleName;
	}

	/** 下载格式（用于下载任务）*/
	protected String format = "";

	/** 下载格式（用于下载任务）
	 * @return
	 */
	public String getFormat() {
		return format;
	}

	/** 下载格式（用于下载任务）
	 * @param format
	 */
	public void setFormat(String format) {
		this.format = format;
	}

	/** 查询的表名称 */
	protected String tableId = "";

	/** 查询的表名称
	 * @return
	 */
	public String getTableId() {
		return tableId;
	}

	/** 查询的表名称
	 * @param tableId
	 */
	public void setTableId(String tableId) {
		this.tableId = tableId;
	}

	/** 需要查询的企业编号集合 */
	protected List<String> enterpriseIds = Lists.newArrayList();

	/** 需要查询的企业编号集合
	 * @return
	 */
	public List<String> getEnterpriseIds() {
		return enterpriseIds;
	}

	/** 需要查询的企业编号集合
	 * @param enterpriseIds
	 */
	public void setEnterpriseIds(List<String> enterpriseIds) {
		this.enterpriseIds = enterpriseIds;
	}

	/** 查询条件集合 */
	protected List<FlatQueryCondition> queryConditions = Lists.newArrayList();

	/** 查询条件集合
	 * @return
	 */
	public List<FlatQueryCondition> getQueryConditions() {
		return queryConditions;
	}

	/** 查询条件集合
	 * @param queryConditions
	 */
	public void setQueryConditions(List<FlatQueryCondition> queryConditions) {
		this.queryConditions = queryConditions;
	}

	/** 排序字段 */
	protected String orderField = "";

	/** 排序字段
	 * @return
	 */
	public String getOrderField() {
		return orderField;
	}

	/** 排序字段
	 * @param orderField
	 */
	public void setOrderField(String orderField) {
		this.orderField = orderField;
	}

	/** 排序方向 */
	protected String orderDir = "";

	/** 排序方向
	 * @return
	 */
	public String getOrderDir() {
		return orderDir;
	}

	/** 排序方向
	 * @param orderDir
	 */
	public void setOrderDir(String orderDir) {
		this.orderDir = orderDir;
	}

	/** 执行 DISTINCT */
	protected Boolean execDistinct = false;

	/** 执行 DISTINCT
	 * @return
	 */
	public Boolean getExecDistinct() {
		return execDistinct;
	}

	/** 执行 DISTINCT
	 * @param execDistinct
	 */
	public void setExecDistinct(Boolean execDistinct) {
		this.execDistinct = execDistinct;
	}

	/** 是否使用压缩 */
	protected Boolean useCompress = false;

	/** 是否使用压缩
	 * @return
	 */
	public Boolean getUseCompress() {
		return useCompress;
	}

	/** 是否使用压缩
	 * @param useCompress
	 */
	public void setUseCompress(Boolean useCompress) {
		this.useCompress = useCompress;
	}

	/** 请求数据类型，默认脱敏数据 */
	protected Integer queryDataType = QueryDataType.SAFE;

	/** 请求数据类型，默认脱敏数据
	 * @return
	 */
	public Integer getQueryDataType() {
		return queryDataType;
	}

	/** 请求数据类型，默认脱敏数据
	 * @param queryDataType
	 */
	public void setQueryDataType(Integer queryDataType) {
		this.queryDataType = queryDataType;
	}

	/** 关联的申请编号 */
	protected String applyId = "";

	/** 关联的申请编号
	 * @return
	 */
	public String getApplyId() {
		return applyId;
	}

	/** 关联的申请编号
	 * @param applyId
	 */
	public void setApplyId(String applyId) {
		this.applyId = applyId;
	}

	/** 是否通过申请 */
	protected String applyPermitted = Global.NO;

	/** 是否通过申请
	 * @return
	 */
	public String getApplyPermitted() {
		return applyPermitted;
	}

	/** 是否通过申请
	 * @param applyPermitted
	 */
	public void setApplyPermitted(String applyPermitted) {
		this.applyPermitted = applyPermitted;
	}

	/** 真实关联的 SQL */
	protected String realSql = "";

	/** 真实关联的 SQL
	 * @return
	 */
	public String getRealSql() {
		return realSql;
	}

	/** 真实关联的 SQL
	 * @param realSql
	 */
	public void setRealSql(String realSql) {
		this.realSql = realSql;
	}

	private Integer model = 1;

	public Integer getModel() {
		return model;
	}

	public void setModel(Integer model) {
		this.model = model;
	}

	private Integer count = 0;

	public Integer getCount() {
		return count;
	}

	public void setCount(Integer count) {
		this.count = count;
	}
}
