package com.gic.cloud.data.hook.api.service;


import com.gic.cloud.common.api.base.Page;
import com.gic.cloud.data.hook.api.dto.MyFlatQuery;

/** 自定义指标查询服务
 * @author Sam
 */
public interface IMyFlatQueryService {

	/** 创建新的自定义指标查询
	 * @param myFlatQuery
	 * @return
	 */
	public Integer createMyFlatQuery(MyFlatQuery myFlatQuery);

	/** 更新原有的自定义指标查询
	 * @param myFlatQuery
	 * @return
	 */
	public Integer updateMyFlatQuery(MyFlatQuery myFlatQuery);

	/** 删除一个自定义指标查询
	 * @param id
	 * @return
	 */
	public Integer deleteMyFlatQuery(String id);

	/** 获取指定编号的自定义指标查询
	 * @param id 指定的自助查询表编号
	 * @return
	 */
	public MyFlatQuery queryMyFlatQueryById(String id);

	/** 请求自定义指标查询数据分页
	 * @param userId 指定用户主键
	 * @param fuzzy 模糊查询条件
	 * @param pageNum 指定的页数
	 * @param pageSize 分页数据数量
	 * @return
	 */
	public Page<MyFlatQuery> queryMyFlatQueryPage(String userId, String fuzzy, int pageNum, int pageSize);



}
