package com.gic.cloud.data.hook.service;

import cn.medubi.client.utils.LogPak;
import com.ctrip.framework.apollo.Config;
import com.ctrip.framework.apollo.ConfigService;
import com.gic.cloud.data.hook.api.dto.DownloadRecord;
import com.gic.cloud.data.hook.api.dto.DownloadTask;

import java.net.InetAddress;
import java.net.NetworkInterface;
import java.net.SocketException;
import java.util.ArrayList;
import java.util.Enumeration;
import java.util.List;

public class DataInitUtils {
    private static LogPak log = new LogPak(DataInitUtils.class);
    private static String host = "";

    static {
        host = getHost();
    }

    public static List<DownloadRecord> listByHost(List<DownloadRecord> allList){
        List<DownloadRecord> list = new ArrayList<>();
        Config config = ConfigService.getConfig("application");
        String customRouterHost = config.getProperty("customRouterHost", "");
        String customRouterEnterpriseId = config.getProperty("customRouterEnterpriseId", "");
        for(DownloadRecord downloadRecord : allList){
            if(host.equals(customRouterHost)){
                if(customRouterEnterpriseId.equals(downloadRecord.getEnterpriseId())){
                    list.add(downloadRecord);
                }
            } else {
                if(!customRouterEnterpriseId.equals(downloadRecord.getEnterpriseId())){
                    list.add(downloadRecord);
                }
            }
        }
        return list;
    }

    public static List<DownloadTask> listTaskByHost(List<DownloadTask> allList){
        List<DownloadTask> list = new ArrayList<>();
        Config config = ConfigService.getConfig("application");
        String customRouterHost = config.getProperty("customRouterHost", "");
        String customRouterEnterpriseId = config.getProperty("customRouterEnterpriseId", "");
        for(DownloadTask downloadTask : allList){
            if(host.equals(customRouterHost)){
                if(customRouterEnterpriseId.equals(downloadTask.getEnterpriseId())){
                    list.add(downloadTask);
                }
            } else {
                if(!customRouterEnterpriseId.equals(downloadTask.getEnterpriseId())){
                    list.add(downloadTask);
                }
            }
        }
        return list;
    }

    private static String getHost(){
        String localip = null;// 本地IP，如果没有配置外网IP则返回它
        String netip = null;// 外网IP
        try {
            Enumeration netInterfaces = NetworkInterface.getNetworkInterfaces();
            InetAddress ip = null;
            boolean finded = false;// 是否找到外网IP
            while (netInterfaces.hasMoreElements() && !finded) {
                NetworkInterface ni = (NetworkInterface) netInterfaces.nextElement();
                Enumeration address = ni.getInetAddresses();
                while (address.hasMoreElements()) {
                    ip = (InetAddress) address.nextElement();
                    if (!ip.isSiteLocalAddress() && !ip.isLoopbackAddress() && ip.getHostAddress().indexOf(":") == -1) {// 外网IP
                        netip = ip.getHostAddress();
                        finded = true;
                        break;
                    } else if (ip.isSiteLocalAddress() && !ip.isLoopbackAddress() && ip.getHostAddress().indexOf(":") == -1) {// 内网IP
                        localip = ip.getHostAddress();
                    }
                }
            }
        } catch (SocketException e) {
            e.printStackTrace();
        }

        if (netip != null && !"".equals(netip)) {
            return netip;
        } else {
            return localip;
        }
    }

    public static void main(String[] args){
        System.out.println("getHost() = " + getHost());
    }

}
