package com.gic.cloud.data.hook.service;

import com.alibaba.dubbo.common.utils.StringUtils;
import com.gic.cloud.data.hook.api.entity.FlatQueryCondition;
import com.gic.cloud.data.hook.service.impl.FreeQueryServiceImpl;
import com.gic.data.shield.SdkEnv;
import com.gic.data.shield.decrypt.DataDecryptionClient;
import com.gic.data.shield.exception.DecryptException;
import org.springframework.stereotype.Service;

import java.util.List;

public class DecryptUtils {

	private static DataDecryptionClient decryptionClient = null;

	private static DecryptUtils instance = null;

	static {
		DataDecryptionClient.setEnv(SdkEnv.PROD);
		decryptionClient = new DataDecryptionClient();
	}

	private DecryptUtils() {
		instance = this;
//		DataDecryptionClient.setEnv(SdkEnv.DEV);
//		decryptionClient = new DataDecryptionClient();
	}


	public static DecryptUtils getInstance() {
		//DataDecryptionClient.setEnv(SdkEnv.DEV);
		//DataDecryptionClient.setEnv(SdkEnv.DEV);
		if (instance == null) instance = new DecryptUtils();
		return instance;
	}

	public static String decrypt(String encryptString) {
		try {
			String result = decryptionClient.decrypt(encryptString);
			return result;
		} catch (DecryptException e) {
			e.printStackTrace();
			return "";
		}
	}

	public static String dataSecurityProcessUserName(String userName){
		if(StringUtils.isBlank(userName)){
			return userName;
		}
		StringBuffer stringBuffer = new StringBuffer();
		stringBuffer.append(userName.charAt(0)).append("**");
		return stringBuffer.toString();
	}

	public static boolean isName(String columnName, List<FlatQueryCondition> allFields){
		if(StringUtils.isBlank(columnName)){
			return false;
		}
		for(FlatQueryCondition condition : allFields){
			if(condition.getFieldMark().equals(columnName)){
				if(FreeQueryServiceImpl.FILETERS_USER_NAME.contains(condition.getFieldName())){
					return true;
				}
			}
		}
		return false;
	}

}
