package com.gic.cloud.data.hook.service.dao;

import com.gic.cloud.data.hook.api.dto.DhDecryptKey;
import org.apache.ibatis.annotations.Param;

public interface DhDecryptKeyMapper {
    /**
     * 根据主键删除
     *
     * @param id 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer id);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(DhDecryptKey record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(DhDecryptKey record);

    /**
     * 根据主键查询
     *
     * @param id 主键
     * @return 实体对象
     */
    DhDecryptKey selectByPrimaryKey(Integer id);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(DhDecryptKey record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(DhDecryptKey record);


    DhDecryptKey selectByEnterpriseId(@Param("enterpriseId") String enterpriseId);
}

