package com.gic.cloud.data.hook.service.dao;

import com.gic.cloud.data.hook.service.entity.DhSearchLog;

public interface DhSearchLogMapper {
    /**
     * 根据主键删除
     *
     * @param logId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer logId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(DhSearchLog record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(DhSearchLog record);

    /**
     * 根据主键查询
     *
     * @param logId 主键
     * @return 实体对象
     */
    DhSearchLog selectByPrimaryKey(Integer logId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(DhSearchLog record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(DhSearchLog record);
}