package com.gic.cloud.data.hook.service.dao;

import com.gic.cloud.data.hook.api.dto.FlatQueryFavo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/** 自助查询收藏 DAO
 * @author Sam
 */
@Mapper
public interface FlatQueryFavoDao {


	/** 获取自助查询收藏
	 * @param userId 指定的用户编号
	 * @param tableId 指定的表编号
	 * @return
	 */
	public FlatQueryFavo getFlatQueryFavo(@Param("userId") String userId, @Param("tableId") String tableId);

	/** 添加自助查收收藏
	 * @param id timstamp
	 * @param userId 指定的用户编号
	 * @param tableId 指定的表编号
	 * @return
	 */
	public int addFlatQueryFavo(@Param("id") String id, @Param("userId") String userId, @Param("tableId") String tableId);

	/** 取消自助查询收藏
	 * @param userId 指定的用户编号
	 * @param tableId 指定的表编号
	 * @return
	 */
	public int removeFlatQueryFavo(@Param("userId") String userId, @Param("tableId") String tableId);


}
