package com.gic.cloud.data.hook.service.dao;

import com.gic.cloud.data.hook.api.dto.FreeQueryRecord;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/** 自定义查询记录 DAO
 * @author Sam
 */
@Mapper
public interface FreeQueryRecordDao {

	/** 创建新的自定义查询记录
	 * @param record
	 * @return
	 */
	public Integer createFreeQueryRecord(FreeQueryRecord record);

	/** 更新原有的自定义查询记录
	 * @param record
	 * @return
	 */
	public Integer updateFreeQueryRecord(FreeQueryRecord record);

	/** 删除一个自定义查询记录
	 * @param recordId
	 * @return
	 */
	public Integer deleteFreeQueryRecord(@Param("recordId") String recordId);

	/** 获取指定用户和编号的自定义查询记录
	 * @param userId
	 * @param recordId
	 * @return
	 */
	public FreeQueryRecord getFreeQueryRecordByUserIdAndRecordId(@Param("userId") String userId, @Param("recordId") String recordId);

	/** 获取指定用户的所有自定义查询
	 * @param userId
	 * @param fuzzy
	 * @return
	 */
	public List<FreeQueryRecord> getFreeQueryRecordListByUserId(@Param("userId") String userId, @Param("fuzzy") String fuzzy);



}
