package com.gic.cloud.data.hook.service.dao;

import com.gic.cloud.data.hook.api.dto.FreeQuerySource;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/** 自定义查询连接信息 DAO
 */
@Mapper
public interface FreeQuerySourceDao {

	/** 获取指定商户编号的自定义查询连接信息
	 * @param enterpriseId
	 * @return
	 */
	public FreeQuerySource getFreeQuerySourceByEnterpriseId(@Param("enterpriseId") String enterpriseId);

	/** 创建自定义查询数据源
	 * @param source
	 * @return
	 */
	public int createFreeQuerySource(FreeQuerySource source);

	/** 更新自定义查询数据源
	 * @param source
	 * @return
	 */
	public int updateFreeQuerySource(FreeQuerySource source);

	/** 删除自定义查询数据源
	 * @param sourceId 数据源编号
	 * @return
	 */
	public int deleteFreeQuerySource(@Param("sourceId") String sourceId);






}
