package com.gic.cloud.data.hook.service.dao;

import com.gic.cloud.data.hook.api.dto.MyFlatQuery;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/** 自定义指标查询
 * @author Sam
 */
@Mapper
public interface MyFlatQueryDao {

	/** 创建自定义指标查询
	 * @param myFlatQuery
	 * @return
	 */
	public Integer createMyFlatQuery(MyFlatQuery myFlatQuery);

	/** 更新自定义查询指标
	 * @param myFlatQuery
	 * @return
	 */
	public Integer updateMyFlatQuery(MyFlatQuery myFlatQuery);

	/** 删除自定义查询指标
	 * @param id
	 * @return
	 */
	public Integer deleteMyFlatQuery(@Param("id") String id);

	/** 获取指定编号的自定义指标查询
	 * @param id 自定义指标查询编号
	 * @return
	 */
	MyFlatQuery getMyFlatQueryById(@Param("id") String id);

	/** 获取所有的自定义指标查询
	 * @param userId 用户主键
	 * @param fuzzy 模糊查询条件
	 * @return 自助查询表信息列表
	 */
	List<MyFlatQuery> getMyFlatQueryList(@Param("userId") String userId, @Param("fuzzy") String fuzzy);


}
