package com.gic.cloud.data.hook.service.dao;

import com.gic.cloud.data.hook.api.dto.DownloadRecord;
import com.gic.cloud.data.hook.api.dto.RiskModeRecord;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/** 风险模式日志 DAO
 * @author Sam
 */
@Mapper
public interface RiskModeRecordDao {

	/** 获取指定的风险模式记录
	 * @param applyId
	 * @return
	 */
	public RiskModeRecord getRiskModeRecordByApplyId(@Param("applyId") String applyId);

	/** 创建风险模式日志
	 * @param record
	 * @return
	 */
	public Integer createRiskModeRecord(RiskModeRecord record);

	/** 更新风险模式日志
	 * @param record
	 * @return
	 */
	public Integer updateRiskModeRecord(RiskModeRecord record);

	/** 获取的风险模式日志
	 * @return
	 */
	public List<RiskModeRecord> getRiskModeRecordList(@Param("enterpriseId") String enterpriseId,
	                                                  @Param("startTime") Date startTime, @Param("endTime") Date endTime, @Param("riskDuration") Integer riskDuration,
	                                                  @Param("fuzzyRange") String fuzzyRange, @Param("fuzzy") String fuzzy);




}
