package com.gic.cloud.data.hook.service.entity;

import java.io.File;
import java.io.IOException;
import java.io.InputStream;
import java.util.Properties;

/** 配置文件辅助类
 *
 */
public class ConfigHelper {

	/** 获取指定名称的配置文件
	 * @param fileName
	 * @return
	 */
	public static Properties getPropertiesFile(String fileName) {
		InputStream stream = getPropertiesStream(fileName);
		Properties p = new Properties();
		try {
			p.load(stream);
		} catch (IOException e) {
			e.printStackTrace();
		}
		return null;
	}

	/** 获取指定名称的配置文件 InputStream
	 * @param fileName
	 * @return
	 */
	public static InputStream getPropertiesStream(String fileName) {
		String jarPath = (new ConfigHelper()).getClass().getProtectionDomain().getCodeSource().getLocation().getPath(); // 获取 Jar 包位置
		int firstIndex = jarPath.lastIndexOf(System.getProperty("path.separator")) + 1;
		int lastIndex = jarPath.lastIndexOf(File.separator) + 1;
		jarPath = jarPath.substring(firstIndex, lastIndex);
		System.out.println("当前 Jar 包位于 " + jarPath);
		String outpropPath = fileName.endsWith(".properties") ? jarPath + "conf/" + fileName : jarPath + "conf/" + fileName + ".properties";
		System.out.println("尝试读取外部配置文件 " + outpropPath);
		if ( (new File(outpropPath)).exists() ) { // 如果找到外部配置文件
			InputStream outstream = ClassLoader.getSystemResourceAsStream(jarPath);
			return outstream;
		} else { // 如果未发现外部配置文件
			System.out.println("读取外部配置文件 " + outpropPath + " 失败，尝试读取 jar 内部配置文件");
			InputStream instream = ConfigHelper.class.getResourceAsStream(fileName.endsWith(".properties") ? "/" + fileName : "/" + fileName + ".properties");
			return instream;
		} // IF ELSE OVER
	}



}
