package com.gic.cloud.data.hook.service.impl;

import com.alibaba.druid.util.StringUtils;
import com.gic.cloud.common.api.base.Page;
import com.gic.cloud.data.hook.api.dto.MyFlatQuery;
import com.gic.cloud.data.hook.api.service.IMyFlatQueryService;
import com.gic.cloud.data.hook.service.dao.MyFlatQueryDao;
import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.Date;
import java.util.List;

/** 自定义指标查询接口实现
 * @author Sam
 */
public class MyFlatQueryServiceImpl implements IMyFlatQueryService {

	/** 自定义指标查询接口单例 */
	private static MyFlatQueryServiceImpl instance = null;

	/** 获取自定义指标查询接口单例
	 * @return
	 */
	public static MyFlatQueryServiceImpl getInstance() {
		if (instance == null) instance = new MyFlatQueryServiceImpl();
		return instance;
	}

	/** 构造函数 */
	public MyFlatQueryServiceImpl() {
		instance = this;
	}

	@Autowired
	private MyFlatQueryDao myFlatQueryDao;


	@Override
	public Integer createMyFlatQuery(MyFlatQuery myFlatQuery) {
		return myFlatQueryDao.createMyFlatQuery(myFlatQuery);
	}

	@Override
	public Integer updateMyFlatQuery(MyFlatQuery myFlatQuery) {
		return myFlatQueryDao.updateMyFlatQuery(myFlatQuery);
	}

	@Override
	public Integer deleteMyFlatQuery(String id) {
		return myFlatQueryDao.deleteMyFlatQuery(id);
	}

	@Override
	public MyFlatQuery queryMyFlatQueryById(String id) {
		return myFlatQueryDao.getMyFlatQueryById(id);
	}

	@Override
	public Page<MyFlatQuery> queryMyFlatQueryPage(String userId, String fuzzy, int pageNum, int pageSize) {
		Page<MyFlatQuery> result = new Page<>();
		PageHelper.startPage(pageNum, pageSize); // 设置分页参数
		List<MyFlatQuery> query = myFlatQueryDao.getMyFlatQueryList(userId, fuzzy);
		// 生成数据输出信息
		PageInfo<MyFlatQuery> preResult = new PageInfo<>(query);
		result.setList(preResult.getList()); // 设置数据集
		result.setTotal(preResult.getTotal()); // 设置总数
		result.setPageNum(preResult.getPageNum()); // 设置当前页数
		return result;
	}





}
