package com.gic.cloud.data.hook.router;

import com.alibaba.dubbo.common.URL;
import com.alibaba.dubbo.rpc.Invocation;
import com.alibaba.dubbo.rpc.Invoker;
import com.alibaba.dubbo.rpc.RpcException;
import com.alibaba.dubbo.rpc.cluster.Router;
import com.ctrip.framework.apollo.Config;
import com.ctrip.framework.apollo.ConfigService;
import com.gic.web.common.utils.SessionContextUtils;

import java.util.ArrayList;
import java.util.List;

public class CustomRouter implements Router {
    private URL url;

    public CustomRouter(URL url){
        this.url = url;
    }

    @Override
    public URL getUrl() {
        return url;
    }

    @Override
    public <T> List<Invoker<T>> route(List<Invoker<T>> invokers, URL url, Invocation invocation) throws RpcException {
        System.out.println("start route = " + System.currentTimeMillis());
        if(url.getParameter("application", "").equals("gic-cloud-data-hook") &&
        url.getParameter("interface").contains("com.gic.cloud.data.hook")){
            String enterpriseId = SessionContextUtils.getLoginUserEnterpriseId();
            Config config = ConfigService.getConfig("application");
            String customRouterEnterpriseId = config.getProperty("customRouterEnterpriseId", "");
            String customRouterHost = config.getProperty("customRouterHost", "");
            System.out.println("end  = " + System.currentTimeMillis());
            List<Invoker<T>> list = new ArrayList<>();
            if(enterpriseId.equals(customRouterEnterpriseId)){
                //路由到新服务器
                for(Invoker invoker : invokers){
                    if(invoker.getUrl().getHost().equals(customRouterHost)){
                        list.add(invoker);
                    }
                }
            } else {
                for(Invoker invoker : invokers){
                    if(!invoker.getUrl().getHost().equals(customRouterHost)){
                        list.add(invoker);
                    }
                }
            }
            System.out.println("end route = " + System.currentTimeMillis());
            return list;
        }
        return invokers;
    }

    @Override
    public int compareTo(Router o) {
        return 0;
    }
}
