package com.gic.cloud.data.hook.web;

import com.gic.cloud.data.hook.api.dto.TableSyncRecordResult;
import com.gic.cloud.data.hook.api.service.TableSyncRecordService;
import com.gic.web.common.utils.SessionContextUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;

import java.util.Date;

/**
 * hive表同步记录
 *
 * @author zhurz
 */
@Controller
public class TableSyncRecordController {

    @Autowired
    private TableSyncRecordService tableSyncRecordService;

    /**
     * 获取最近一次同步时间
     *
     * @param tableName
     * @return
     */
    @RequestMapping("/last-sync-date-time")
    public TableSyncRecordResult lastSyncDateTime(String tableName) {
        String enterpriseId = SessionContextUtils.getLoginUserEnterpriseId();
        TableSyncRecordResult result = new TableSyncRecordResult();
        result.setEnterpriseId(enterpriseId);
        result.setTableName(tableName);
        Date date = tableSyncRecordService.lastSyncDateTime(enterpriseId, tableName);
        result.setSyncTime(date);
        return result;
    }

}
